%define name    rubberband
%define version 1.9.2
%define release 8.1
%define prefix  /usr

Name: rubberband
Version: 1.9.2
Release: 8.1.rncbc.suse
Summary:	Rubber Band audio time-stretching and pitch-shifting library

%define _lib_name lib%{name}2
%if %{defined fedora}
%define _lib_name_devel %{name}-devel
%else
%define _lib_name_devel lib%{name}-devel
%endif

URL:		https://www.breakfastquay.com/rubberband/
Source0:	%{name}-%{version}.tar.bz2
Group:		Productivity/Multimedia/Sound/Utilities
License:	GPL-2.0+

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	coreutils
BuildRequires:	pkgconfig
BuildRequires:	glibc-devel
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	gcc-c++
BuildRequires:	fftw3-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	ladspa-devel
BuildRequires:	vamp-plugin-sdk-devel

%description
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.
--
This package contains the rubberband audio file time-stretcher
and pitch-shiter command line utility.


%package -n %{name}-ladspa
Summary:	Rubber Band LADSPA plugins
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	%{_lib_name} = %{version}, ladspa

%description -n %{name}-ladspa
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.
--
This package contains the rubberband LADSPA plugin.


%package -n %{name}-vamp
Summary:	Rubber Band VAMP plugins
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	%{_lib_name} = %{version}, vamp-plugin-sdk

%description -n %{name}-vamp
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.
--
This package contains the rubberband VAMP plugin.


%package -n %{_lib_name}
Summary:	Rubber Band shared libraries
Group:		System/Libraries
Provides:	%{_lib_name} = %{version}

%description -n %{_lib_name}
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.


%package -n %{_lib_name_devel}
Summary:	Rubber Band include files and libraries for development
Group:		Development/Libraries/C and C++
Requires:	%{_lib_name} = %{version}

%description -n %{_lib_name_devel}
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.
--
This package contains the header files needed for development with
librubberband. You will need this only if you intend to compile
programs that use this library.


%prep
%setup -q

%build
meson --prefix=%{_prefix}  \
 -Dfft=fftw                \
 -Dresampler=libsamplerate \
 build
ninja -C build

%install
DESTDIR=%{buildroot} \
meson install -C build

%clean
%{__rm} -rf %{buildroot}

%post -n %{_lib_name} -p /sbin/ldconfig

%postun -n %{_lib_name} -p /sbin/ldconfig


%files -n %{name}
%defattr(-, root, root)
%doc README.md
%{_bindir}/*


%files -n %{_lib_name}
%defattr(-, root, root)
%{_libdir}/librubberband.so.*


%files -n %{_lib_name_devel}
%defattr(-, root, root)
%dir %{_includedir}/rubberband
%{_includedir}/rubberband/*.h
%{_libdir}/librubberband.a
%{_libdir}/librubberband.so
%{_libdir}/pkgconfig/rubberband.pc


%files -n %{name}-ladspa
%defattr(-, root, root)
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/ladspa-rubberband.so
%{_libdir}/ladspa/ladspa-rubberband.cat
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf

%files -n %{name}-vamp
%defattr(-, root, root)
%dir %{_libdir}/vamp
%{_libdir}/vamp/vamp-rubberband.so
%{_libdir}/vamp/vamp-rubberband.cat


%changelog
* Mon Jul 12 2021 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.2-8.1
- new upstream release.
* Thu Mar 18 2021 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.1-7
- new upstream release.
* Sat Feb 27 2021 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.0-6
- new upstream release.
* Thu Jun  7 2018 Rui Nuno Capela <rncbc@rncbc.org> - 1.8.2-3
- new upstream release.
* Tue Dec 23 2014 Rui Nuno Capela <rncbc@rncbc.org> - 1.8.1-2
- OBS snapshot update.
* Thu Oct  1 2009 Rui Nuno Capela <rncbc@rncbc.org> - 1.4.0-1
- initial spec-ification
